fsk_spec_t Struct Reference

`#include <fsk.h>`

## Public Attributes

const char * | name
int | freq_zero
int | freq_one
int | tx_level
int | min_level
int | baud_rate

## Detailed Description

FSK modem specification. This defines the frequencies, signal levels and baud rate (== bit rate for simple FSK) for a single channel of an FSK modem.

## Member Data Documentation

## baud_rate

int fsk_spec_t::baud_rate

The bit rate of the modem, in units of 1/100th bps

## freq_one

int fsk_spec_t::freq_one

The frequency of the one bit state, in Hz

## freq_zero

int fsk_spec_t::freq_zero

The frequency of the zero bit state, in Hz

## min_level

int fsk_spec_t::min_level

The minimum acceptable receive power level, in dBm0

## name

const char* fsk_spec_t::name

Short text name for the modem.

## tx_level

int fsk_spec_t::tx_level

The transmit power level, in dBm0

The documentation for this struct was generated from the following file:

- fsk.h